summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO16
-rw-r--r--PKGBUILD33
-rw-r--r--brother-mfc-9140cdn.install (renamed from brother-mfc-9142cdn.install)0
3 files changed, 23 insertions, 26 deletions
diff --git a/.SRCINFO b/.SRCINFO
index d2a70cc62d0..e5a7a26972c 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,18 +1,18 @@
# Generated by mksrcinfo v8
-# Sat Sep 15 22:20:48 UTC 2018
+# Tue Oct 16 22:05:57 UTC 2018
pkgbase = brother-mfc-9140cdn
pkgdesc = LPR and CUPS driver for the Brother MFC-9140CDN
- pkgver = 1.1.3
+ pkgver = 1.1.4
pkgrel = 1
- url = http://welcome.solutions.brother.com/bsc/public_s/id/linux/en/index.html
- install = brother-mfc-9142cdn.install
+ url = https://support.brother.com/g/b/downloadlist.aspx?c=gb&lang=en&prod=mfc9140cdn_eu_as_cn&os=128
+ install = brother-mfc-9140cdn.install
arch = i686
arch = x86_64
license = unknown
- source = http://download.brother.com/welcome/dlf101616/mfc9142cdnlpr-1.1.3-0.i386.deb
- source = http://download.brother.com/welcome/dlf101617/mfc9142cdncupswrapper-1.1.4-0.i386.deb
- sha256sums = 1ca1143c074c33ecfe0cdc26eb5c5e6cd9b0bbe94c116fc9c03d54de7a3029df
- sha256sums = 4472d0aef4148eace6d8df873b03eb1a91922791e451e90d7addde4e37c876e2
+ source = http://download.brother.com/welcome/dlf100405/mfc9140cdnlpr-1.1.2-1.i386.deb
+ source = http://download.brother.com/welcome/dlf100407/mfc9140cdncupswrapper-1.1.4-0.i386.deb
+ sha256sums = 90eae54a7201c369ddc6c3999af24c9c8de7b2c72061ba0773e8809da5451df3
+ sha256sums = 8699b4049ea24ccd1b8d4bed778c886942900088e5280d1bd441e5875f5559a1
pkgname = brother-mfc-9140cdn
diff --git a/PKGBUILD b/PKGBUILD
index 1ea3e662206..51ec131ac21 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,34 +1,31 @@
pkgname="brother-mfc-9140cdn"
-pkgver="1.1.3"
+pkgver="1.1.4"
pkgrel=1
-model="9142cdn"
-_cupswrapper_ver=1.1.4
-_revision=0
pkgdesc="LPR and CUPS driver for the Brother MFC-9140CDN"
-url="http://welcome.solutions.brother.com/bsc/public_s/id/linux/en/index.html"
+url="https://support.brother.com/g/b/downloadlist.aspx?c=gb&lang=en&prod=mfc9140cdn_eu_as_cn&os=128"
arch=('i686' 'x86_64')
license=('unknown')
-install="brother-mfc-${model}.install"
+install="brother-mfc-9140cdn.install"
if [ "$CARCH" == 'i686' ]; then
depends=('deb2targz' 'perl')
elif [ "$CARCH" == 'x86_64' ]; then
depends=('deb2targz' 'perl' 'lib32-libcups')
fi
-source=("http://download.brother.com/welcome/dlf101616/mfc${model}lpr-${pkgver}-${_revision}.i386.deb"
- "http://download.brother.com/welcome/dlf101617/mfc${model}cupswrapper-${_cupswrapper_ver}-${_revision}.i386.deb")
-sha256sums=('1ca1143c074c33ecfe0cdc26eb5c5e6cd9b0bbe94c116fc9c03d54de7a3029df'
- '4472d0aef4148eace6d8df873b03eb1a91922791e451e90d7addde4e37c876e2')
+source=("http://download.brother.com/welcome/dlf100405/mfc9140cdnlpr-1.1.2-1.i386.deb"
+ "http://download.brother.com/welcome/dlf100407/mfc9140cdncupswrapper-1.1.4-0.i386.deb")
+sha256sums=('90eae54a7201c369ddc6c3999af24c9c8de7b2c72061ba0773e8809da5451df3'
+ '8699b4049ea24ccd1b8d4bed778c886942900088e5280d1bd441e5875f5559a1')
package() {
deb2targz *.deb >/dev/null || return 1
rm -f *.deb || return 1
cd $srcdir || return 1
- [ -d "mfc${model}" ] || (mkdir mfc${model} || return 1)
- for i in *.tar.gz;do tar xfz $i -C mfc${model};done || return 1
- cd mfc${model} || return 1
- cd opt/brother/Printers/mfc${model} || return 1
- perl -i -pe 's#/etc/init.d#/etc/rc.d#g' ./cupswrapper/cupswrappermfc${model} || return 1
- perl -i -pe 's#printcap\.local#printcap#g' $srcdir/mfc${model}/opt/brother/Printers/mfc${model}/inf/setupPrintcapij || return 1
- cp -rf $srcdir/mfc${model}/usr/ $pkgdir/ || return 1
- cp -rf $srcdir/mfc${model}/opt/ $pkgdir/ || return 1
+ [ -d "mfc9140cdn" ] || (mkdir mfc9140cdn || return 1)
+ for i in *.tar.gz;do tar xfz $i -C mfc9140cdn;done || return 1
+ cd mfc9140cdn || return 1
+ cd opt/brother/Printers/mfc9140cdn || return 1
+ perl -i -pe 's#/etc/init.d#/etc/rc.d#g' ./cupswrapper/cupswrappermfc9140cdn || return 1
+ perl -i -pe 's#printcap\.local#printcap#g' $srcdir/mfc9140cdn/opt/brother/Printers/mfc9140cdn/inf/setupPrintcapij || return 1
+ cp -rf $srcdir/mfc9140cdn/usr/ $pkgdir/ || return 1
+ cp -rf $srcdir/mfc9140cdn/opt/ $pkgdir/ || return 1
}
diff --git a/brother-mfc-9142cdn.install b/brother-mfc-9140cdn.install
index db108148709..db108148709 100644
--- a/brother-mfc-9142cdn.install
+++ b/brother-mfc-9140cdn.install